search cancel

Official Support Statement for Java and ITMS

book

Article ID: 151067

calendar_today

Updated On:

Products

Client Management Suite IT Management Suite Server Management Suite

Issue/Introduction

Versions of ITMS prior to 8.5 RU2 (ITMS 8.5 RU2 Release Notes) are dependent on the Java 8 JRE.

Resolution

See more as well under KB173264, "Using Java with the Symantec Management Platform after January 2019"

Before the ITMS 8.5 RU2 release, the Java 8 JRE must be present on the Notification Server in order to install ITMS.  Customers are responsible for installing and the Java 8 JRE and keeping it up to date.  Oracle requires that customers obtain a subscription to receive future updates to the Java 8 JRE used for commercial purposes. See "Patching Java 8 after January 2019 changes" for more information on using Patch Management Solution to update Java."

ITMS 8.5 RU2 includes components that are part of the open source version of the Java 11 JDK.  Those components are installed as part of ITMS 8.5 RU2, eliminating the need for customers to install Java. No subscription is required to obtain updates to the open source version of the Java JDK:

  • SymHelp component now embeds all required Java runtime pieces and doesn’t require separate Java installation.
  • Java is no longer required for ITMS and excluded from Readiness Check during installation.